import request from '@/utils/request'
// 字典管理

// 查询字典列表
export const findList = (params) => {
  return request({
    url: '/point-strategy/v/dict/findList',
    method: 'get',
    params
  })
}

// 查询字典类型列表
export const getTypeList = (params) => {
    return request({
      url: '/point-strategy/v/dict/getTypeList',
      method: 'get',
      params
    })
}

// 新增
export const insertItem = (data) => {
    return request({
      url: '/point-strategy/v/dict/insert',
      method: 'post',
      data
    })
  }

// 删除
export const deleteItem = (data) => {
    return request({
      url: '/point-strategy/v/dict/delete',
      method: 'post',
      params:data
    })
  }
// 更新-父项
export const updateType = (data) => {
    return request({
      url: '/point-strategy/v/dict/updateType',
      method: 'post',
      data
    })
}


// 更新-子项
export const updateItem = (data) => {
    return request({
      url: '/point-strategy/v/dict/update',
      method: 'post',
      data
    })
  }

// 删除子项
export const selectUreportList = (data) => {
    return request({
      url: '/point-strategy/v/dict/selectUreportList',
      method: 'post',
      data
    })
}

// 删除父项
export const deleteType = (data) => {
  return request({
    url: '/point-strategy/v/dict/deleteType',
    method: 'post',
    params:data
  })
}



